## org.apache.log4j.pattern
Class ThreadPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.ThreadPatternConverter

    public class ThreadPatternConverter

extends LoggingEventPatternConverter

Formats the event thread name.

Author:
  Ceki Gülcü

Method Summary
`void` `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`static ThreadPatternConverter` `newInstance(String[] options)` Obtains an instance of ThreadPatternConverter.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static ThreadPatternConverter newInstance(String[] options)

  Obtains an instance of ThreadPatternConverter.

  Parameters:
    `options` - options, currently ignored, may be null.
  Returns:
    instance of ThreadPatternConverter.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.